:: 
::  * px *
:: Copyright (c) 2008 Shawn Hladky
:: 
:: Permission is hereby granted, free of charge, to any person obtaining a copy of this software 
:: and associated documentation files (the "Software"), to deal in the Software without 
:: restriction, including without limitation the rights to use, copy, modify, merge, publish, 
:: distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the 
:: Software is furnished to do so, subject to the following conditions:
:: 
:: The above copyright notice and this permission notice shall be included in all copies or 
:: substantial portions of the Software.
:: 
:: THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING 
:: BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
:: NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
:: DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
:: OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
::

@echo off
pushd %~dp0

set OSNAME=ntx64
set OSPLAT=x64

set jam=%CD%\lib\tools\ftjam\jam.exe
set JAM_TOOLSET=VISUALC


call mkversion.bat %OSNAME%

rem clean the output
if exist bin\bin.%OSNAME% rd /s /q bin\bin.%OSNAME%
%jam% -sP4APIDIR=%CD%\lib\lib.%OSNAME%\p4api -sOSPLAT=%OSPLAT%

rem cleanup obj and lib files
del bin\bin.%OSNAME%\*.obj bin\bin.%OSNAME%\*.lib bin\bin.%OSNAME%\*.map